Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class IFState

    java.lang.Object
      org.apache.fop.render.intermediate.IFState

    public final class IFState

extends java.lang.Object

a state class for intermediate format data

Method Summary
`static IFState` | `create()`
`java.lang.String` | `getFontFamily()` Returns the font family.
`int` | `getFontSize()` Returns the font size.
`java.lang.String` | `getFontStyle()` Returns the font style.
`java.lang.String` | `getFontVariant()` Returns the font variant.
`int` | `getFontWeight()` Returns the font weight.
`java.awt.Color` | `getTextColor()` Returns the text color.
`boolean` | `isFontChanged()`
`IFState` | `pop()`
`IFState` | `push()`
`void` | `resetFontChanged()` reset font changed
`void` | `setFontFamily(java.lang.String family)` Sets the font family.
`void` | `setFontSize(int size)` Sets the font size.
`void` | `setFontStyle(java.lang.String style)` Set the font style
`void` | `setFontVariant(java.lang.String variant)` Sets the font variant.
`void` | `setFontWeight(int weight)` Sets the font weight
`void` | `setTextColor(java.awt.Color color)` Sets the text color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static IFState create()

  Returns:
    create state

### push

    public IFState push()

  Returns:
    push state

### pop

    public IFState pop()

  Returns:
    pop state

### isFontChanged

    public boolean isFontChanged()

  Returns:
    true if font changed

### resetFontChanged

    public void resetFontChanged()

  reset font changed

### getFontFamily

    public java.lang.String getFontFamily()

  Returns the font family.

  Returns:
    the font family

### setFontFamily

    public void setFontFamily(java.lang.String family)

  Sets the font family.

  Parameters:
    `family` - the new font family

### getFontSize

    public int getFontSize()

  Returns the font size.

  Returns:
    the font size (in mpt)

### setFontSize

    public void setFontSize(int size)

  Sets the font size.

  Parameters:
    `size` - the new font size (in mpt)

### getFontStyle

    public java.lang.String getFontStyle()

  Returns the font style.

  Returns:
    the font style

### setFontStyle

    public void setFontStyle(java.lang.String style)

  Set the font style

  Parameters:
    `style` - the new font style

### getFontWeight

    public int getFontWeight()

  Returns the font weight.

  Returns:
    the font weight

### setFontWeight

    public void setFontWeight(int weight)

  Sets the font weight

  Parameters:
    `weight` - the new font weight

### getFontVariant

    public java.lang.String getFontVariant()

  Returns the font variant.

  Returns:
    the font variant

### setFontVariant

    public void setFontVariant(java.lang.String variant)

  Sets the font variant.

  Parameters:
    `variant` - the new font variant

### getTextColor

    public java.awt.Color getTextColor()

  Returns the text color.

  Returns:
    the text color

### setTextColor

    public void setTextColor(java.awt.Color color)

  Sets the text color.

  Parameters:
    `color` - the new text color

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.